/* --------------------- */
/* Global Font Settings */
/* --------------------- */
@layer base {
  /* Heading Text Family */
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  button {
    @apply font-display text-gray-dark;
  }
  /* Body Text Family */
  a,
  p,
  dl,
  dt,
  dd,
  ul,
  ol,
  li,
  figcaption,
  blockquote {
    @apply font-sans text-gray-dark;
  }
  /* Code Text Family */
  code,
  pre {
    @apply font-mono;
  }

  /* --------- */
  /* Font Sizes */
  /* --------- */
  h1 {
    @apply text-4xl lg:text-5xl xl:text-7xl;
  }
  h2 {
    @apply text-3xl lg:text-4xl;
  }
  h3 {
    @apply text-2xl lg:text-3xl;
  }
  h4 {
    @apply text-xl lg:text-2xl;
  }
  h5 {
    @apply text-lg lg:text-xl;
  }

  p,
  a,
  li {
    @apply sm:text-base lg:text-lg max-w-prose;
  }
  code {
    @apply font-mono;
  }
  /* List Styles */

  /* TODO: change disc size and color to correspond to the design system */
  ul {
    @apply list-disc list-inside;
  }
  ol {
    @apply list-decimal list-inside;
  }
  dt {
    @apply font-semibold;
  }
  dd {
    @apply indent-4;
  }
  /* Nav special case fallback */
  nav ul {
    @apply list-none;
  }

  /* Indirect Text */

  pre {
    @apply sm:text-lg bg-gray-dark text-white max-w-fit whitespace-pre-line rounded px-8;
  }

  /* TODO: Consult Design team about how we want to handle buttons  */
  /* TODO: Consult Dev team about handling link buttons and actual buttons */
  button {
    /* This shows how we can effect opacity of a color directly */
    @apply font-medium bg-blue-light hover:bg-blue-light/[0.6] text-white ease-in-out duration-300 hover:ease-in-out max-w-fit rounded py-2 px-4 lg:py-3 lg:px-6;
  }
}
